# External Links

External Links allow you to connect to the third-party applications within your Devtron dashboard for seamlessly monitoring/debugging/logging/analyzing your applications. You can select from the pre-defined third-party applications such as `Grafana` to link to your application for quick access.

Configured external links will be available on the `App details` page. You can also integrate `Document` or `Folder` using **External Links**.

Some of the third-party applications which are pre-defined on `Devtron` Dashboard are:

* Grafana
* Kibana
* Newrelic
* Coralogix
* Datadog
* Loki
* Cloudwatch
* Swagger
* Jira etc.

***

## Use Case for Monitoring Tool

To monitor/debug an application using a specific Monitoring Tool (such as Grafana, Kibana, etc.), you may need to navigate to the tool's page, then to the respective app/resource page.

`External Links` can take you directly to the tool's page, which includes the context of the application, environment, pod, and container.

***

## Prerequisites

Before you begin, configure an application in the Devtron dashboard.

* Super admin access
* Monitoring tool URL

**Note**: External links can only be added/managed by a super admin, but non-super admin users can access the configured external links on the `App Configuration` page of Helm App.

***

## Add an External Link

1. On the Devtron dashboard, go to the `Global Configurations` from the left navigation pane.
2. Select `External links`.

   ![](https://devtron-public-asset.s3.us-east-2.amazonaws.com/images/dashboard/external-link-db.jpg)
3. Select **Add Link**.
4. On the `Add Link` page, select the external link (e.g. Grafana) which you want to link to your application from Webpage.

   ![](https://devtron-public-asset.s3.us-east-2.amazonaws.com/images/dashboard/empty-link-fields.jpg)

   ![](https://devtron-public-asset.s3.us-east-2.amazonaws.com/images/dashboard/add-link-db.jpg)

The following fields are provided on the **Add Link** page:

| Field        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Link name    | Provide name of the link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| Description  | Description of the link name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| Show link in | <ul><li>All apps in specific clusters: Select this option to select the cluster.</li><li>Specific applications: Select this option to select the application.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| Clusters     | <p>Choose the clusters for which you want to configure the selected external link with.</p><ul><li>Select one or more than one cluster to enable the link on the specified clusters.</li><li>Select All Clusters to enable the link on all the clusters.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Applications | <p>Choose the application for which you want to configure the selected external link with.</p><ul><li>Select one or more than one application to enable the link on the specified application.</li><li>Select All applications to enable the link on all the applications.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| URL Template | <p>The configured URL Template is used by apps deployed on the selected clusters/applications. By combining one or more of the env variables, a URL with the structure shown below can be created:<br><br><em><http://www.domain.com/{namespace}/{appName}/details/{appId}/env/{envId}/details/{podName}></em><br><br>If you include the variables {podName} and {containerName} in the URL template, then the configured links (e.g. Grafana) will be visible only on the pod level and container level respectively.<br><br>The env variables:</p><ul><li>{appName}</li><li>{appId}</li><li>{envId}</li><li>{namespace}</li><li>{podName}: If used, the link will only be visible at the pod level on the App details page.</li><li>{containerName}: If used, the link will only be visible at the container level on the App details page.</li></ul><p>Note: The env variables will be dynamically replaced by the values that you used to configure the link.</p> |

> Note: To add multiple links, select **+ Add another** at the top-left corner.

Click **Save**.

![](https://devtron-public-asset.s3.us-east-2.amazonaws.com/images/dashboard/created-link-db.jpg)

***

## Access an external link

The users (admin and others) can access the configured external link on the App Details page.

![](https://devtron-public-asset.s3.us-east-2.amazonaws.com/images/dashboard/displayed-link-db.jpg)

***

## Manage External links

On the `External Links` page, the configured external links can be filtered/searched, as well as edited/deleted.

Select `Global Configurations > External links`.

![](https://devtron-public-asset.s3.us-east-2.amazonaws.com/images/dashboard/manage-external-links-db.jpg)

* Filter and search the links based on the link's name or a user-defined name.
* Edit a link by selecting the edit icon next to an external link.
* Delete an external link by selecting the delete icon next to a link. The bookmarked link will be removed in the clusters for which it was configured.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dashboard.devtron.ai/operator-guide/external-links.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
